diff --git a/src/Makefile.am b/src/Makefile.am
index c9b5eeb..423a201 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -533,23 +533,6 @@ EXTRA_DIST += \
 	$(SYSCONF_FILES) \
 	$(OPENRC_CONF_FILES)
 
-install-sysconfig:
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
-	for f in $(SYSCONF_FILES:%.sysconf=%) ; \
-	do \
-	  tgt=`basename $$f`; \
-	  $(INSTALL_DATA) $(srcdir)/$$f.sysconf \
-	      $(DESTDIR)$(sysconfdir)/sysconfig/$$tgt; \
-	done
-
-uninstall-sysconfig:
-	for f in $(SYSCONF_FILES:%.sysconf=%) ; \
-	do \
-	  tgt=`basename $$f`; \
-	  rm -f $(DESTDIR)$(sysconfdir)/sysconfig/$$tgt; \
-	done
-	rmdir $(DESTDIR)$(sysconfdir)/sysconfig || :
-
 OPENRC_CONF_DIR = $(sysconfdir)/conf.d
 
 install-openrc-conf:
@@ -615,14 +598,14 @@ SYSTEMD_UNIT_DIR = $(prefix)/lib/systemd/system
 BUILT_SOURCES += $(SYSTEMD_UNIT_FILES)
 DISTCLEANFILES += $(SYSTEMD_UNIT_FILES)
 
-install-systemd: $(SYSTEMD_UNIT_FILES) install-sysconfig
+install-systemd: $(SYSTEMD_UNIT_FILES)
 	$(MKDIR_P) $(DESTDIR)$(SYSTEMD_UNIT_DIR)
 	for f in $(SYSTEMD_UNIT_FILES); \
 	do \
 	  $(INSTALL_DATA) $$f $(DESTDIR)$(SYSTEMD_UNIT_DIR)/ ; \
 	done
 
-uninstall-systemd: uninstall-sysconfig
+uninstall-systemd:
 	rm -f $(SYSTEMD_UNIT_FILES:%=$(DESTDIR)$(SYSTEMD_UNIT_DIR)/%)
 	rmdir $(DESTDIR)$(SYSTEMD_UNIT_DIR) || :
 
diff --git a/src/locking/virtlockd.service.in b/src/locking/virtlockd.service.in
index e7f8057..2449b20 100644
--- a/src/locking/virtlockd.service.in
+++ b/src/locking/virtlockd.service.in
@@ -7,8 +7,7 @@ Documentation=man:virtlockd(8)
 Documentation=https://libvirt.org
 
 [Service]
-EnvironmentFile=-@sysconfdir@/sysconfig/virtlockd
-ExecStart=@sbindir@/virtlockd $VIRTLOCKD_ARGS
+ExecStart=@sbindir@/virtlockd
 ExecReload=/bin/kill -USR1 $MAINPID
 # Loosing the locks is a really bad thing that will
 # cause the machine to be fenced (rebooted), so make
diff --git a/src/logging/virtlogd.service.in b/src/logging/virtlogd.service.in
index daff48e..4373619 100644
--- a/src/logging/virtlogd.service.in
+++ b/src/logging/virtlogd.service.in
@@ -7,8 +7,7 @@ Documentation=man:virtlogd(8)
 Documentation=https://libvirt.org
 
 [Service]
-EnvironmentFile=-@sysconfdir@/sysconfig/virtlogd
-ExecStart=@sbindir@/virtlogd $VIRTLOGD_ARGS
+ExecStart=@sbindir@/virtlogd
 ExecReload=/bin/kill -USR1 $MAINPID
 # Loosing the logs is a really bad thing that will
 # cause the machine to be fenced (rebooted), so make
diff --git a/src/remote/libvirtd.service.in b/src/remote/libvirtd.service.in
index 9c8c54a..a042280 100644
--- a/src/remote/libvirtd.service.in
+++ b/src/remote/libvirtd.service.in
@@ -25,8 +25,7 @@ Documentation=https://libvirt.org
 
 [Service]
 Type=notify
-EnvironmentFile=-@sysconfdir@/sysconfig/libvirtd
-ExecStart=@sbindir@/libvirtd $LIBVIRTD_ARGS
+ExecStart=@sbindir@/libvirtd
 ExecReload=/bin/kill -HUP $MAINPID
 KillMode=process
 Restart=on-failure
diff --git a/tools/Makefile.am b/tools/Makefile.am
index 426a6ba..a65c91a 100644
--- a/tools/Makefile.am
+++ b/tools/Makefile.am
@@ -297,15 +297,6 @@ install-data-local: install-systemd install-nss \
 uninstall-local: uninstall-systemd uninstall-nss \
 	uninstall-bash-completion
 
-install-sysconfig:
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
-	$(INSTALL_DATA) $(srcdir)/libvirt-guests.sysconf \
-	  $(DESTDIR)$(sysconfdir)/sysconfig/libvirt-guests
-
-uninstall-sysconfig:
-	rm -f $(DESTDIR)$(sysconfdir)/sysconfig/libvirt-guests
-	rmdir $(DESTDIR)$(sysconfdir)/sysconfig ||:
-
 EXTRA_DIST += libvirt-guests.sh.in
 
 libvirt-guests.sh: libvirt-guests.sh.in $(top_builddir)/config.status
@@ -325,12 +316,12 @@ EXTRA_DIST += libvirt-guests.service.in
 SYSTEMD_UNIT_DIR = $(prefix)/lib/systemd/system
 
 if LIBVIRT_INIT_SCRIPT_SYSTEMD
-install-systemd: libvirt-guests.service install-sysconfig libvirt-guests.sh
+install-systemd: libvirt-guests.service libvirt-guests.sh
 	$(MKDIR_P) $(DESTDIR)$(SYSTEMD_UNIT_DIR)
 	$(INSTALL_DATA) libvirt-guests.service \
 	  $(DESTDIR)$(SYSTEMD_UNIT_DIR)/libvirt-guests.service
 
-uninstall-systemd: uninstall-sysconfig
+uninstall-systemd:
 	rm -f $(DESTDIR)$(SYSTEMD_UNIT_DIR)/libvirt-guests.service
 	rmdir $(DESTDIR)$(SYSTEMD_UNIT_DIR) ||:
 
diff --git a/tools/libvirt-guests.service.in b/tools/libvirt-guests.service.in
index 10c6640..f0f417b 100644
--- a/tools/libvirt-guests.service.in
+++ b/tools/libvirt-guests.service.in
@@ -10,7 +10,7 @@ Documentation=man:libvirtd(8)
 Documentation=https://libvirt.org
 
 [Service]
-EnvironmentFile=-@sysconfdir@/sysconfig/libvirt-guests
+EnvironmentFile=-/etc/libvirt/libvirt-guests.conf
 # Hack just call traditional service until we factor
 # out the code
 ExecStart=@libexecdir@/libvirt-guests.sh start
diff --git a/tools/libvirt-guests.sysconf b/tools/libvirt-guests.sysconf
index 669b046..45b0b9e 100644
--- a/tools/libvirt-guests.sysconf
+++ b/tools/libvirt-guests.sysconf
@@ -1,3 +1,10 @@
+#
+# Warning: This configuration file is only sourced by the systemd
+# libvirt-guests.service unit. The coresponding openrc facility is in
+# /etc/init.d/libvirtd and /etc/conf.d/libvirtd
+#
+
+
 # URIs to check for running guests
 # example: URIS='default xen:///system vbox+tcp://host/system lxc:///system'
 #URIS=default
